/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.common.grpc;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.vorgang.common.GrpcSubObject;
import de.ozgcloud.vorgang.common.GrpcSubObject.Builder;

public class GrpcSubObjectTestFactory {

	public static final String SUB_OBJECT_NAME = LoremIpsum.getInstance().getWords(1);
	public static final String SUB_SUB_OBJECT_NAME = LoremIpsum.getInstance().getWords(1);

	public static GrpcSubObject create() {
		return createBuilder().build();
	}

	public static Builder createBuilder() {
		return GrpcSubObject.newBuilder()
				.setName(SUB_OBJECT_NAME)
				.addProperty(GrpcPropertyTestFactory.create())
				.addSubObject(GrpcSubObject.newBuilder()
						.setName(SUB_SUB_OBJECT_NAME)
						.addProperty(GrpcPropertyTestFactory.create()));
	}
}
